Change log for libxcrypt package in Ubuntu

114 of 14 results
Published in eoan-release on 2019-04-18
Published in disco-release on 2018-10-30
Published in cosmic-release on 2018-08-02
Deleted in cosmic-proposed (Reason: moved to release)
libxcrypt (1:4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Added a missing build-dependency on pkg-config.

 -- Marco d'Itri <email address hidden>  Thu, 02 Aug 2018 03:07:49 +0200

Available diffs

Superseded in cosmic-proposed on 2018-08-02
libxcrypt (1:4.1.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #904019)
    - This package takes over the old orphaned libxcrypt package.

 -- Marco d'Itri <email address hidden>  Thu, 19 Jul 2018 11:50:29 +0200
Superseded in cosmic-release on 2018-08-02
Published in bionic-release on 2017-10-24
Published in artful-release on 2017-04-20
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Deleted in yakkety-proposed (Reason: moved to release)
libxcrypt (1:2.4-4) unstable; urgency=medium

  * QA upload.
  * Switch to debehelper compatibility level 9. (Closes: #817562)
  * Bump to Standards-Version 3.9.8.
  * Switch to source format 3.0 (quilt), remove ad-hoc quilt handling.
  * Use binary:Version substvar instead of deprecated Source-Version.
  * Add misc:Depends to Depends fields.
  * Add build-arch and build-indep targets in debian/rules.
  * Use dpkg makefile fragments instead of ad-hoc code in debian/rules.
  * Set --host and/or --build depending on whether we are cross-building.
  * Switch watch file to version 3.
  * Pass CPPFLAGS and LDFLAGS to configure.
  * Enable bindnow hardening build options.
  * Use an intermediate variable to store $(CURDIR)/debian/tmp.
  * Remove commented out code and example boilerplate from packaging.
  * Let dh_strip do the job and stop setting INSTALL_PROGRAM.
  * Remove libtool .la files.
  * Remove packaging history from debian/copyright.
  * Remove unused doc-base template file.
  * Use new autoconf macros in configure.in, and use AM_CPPFLAGS instead
    of INCLUDES in src/Makefile.am.

 -- Guillem Jover <email address hidden>  Mon, 11 Jul 2016 01:36:39 +0200

Available diffs

Superseded in yakkety-release on 2016-07-11
Published in xenial-release on 2015-10-22
Obsolete in wily-release on 2018-01-22
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Deleted in utopic-proposed (Reason: moved to release)
libxcrypt (1:2.4-3.1) unstable; urgency=low


  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (closes: #727448)

 -- Chen Baozi <email address hidden>  Thu, 05 Jun 2014 20:38:32 +0800
Superseded in utopic-release on 2014-07-01
Published in trusty-release on 2014-01-04
Deleted in trusty-proposed (Reason: moved to release)
libxcrypt (1:2.4-3ubuntu2) trusty; urgency=medium

  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on ppc64el by
    getting new libtool macros (still updates config.{sub,guess}).
 -- Logan Rosen <email address hidden>   Sat, 04 Jan 2014 17:24:58 -0500

Available diffs

Superseded in trusty-release on 2014-01-04
Deleted in trusty-proposed on 2014-01-06 (Reason: moved to release)
libxcrypt (1:2.4-3ubuntu1) trusty; urgency=low

  * debian/control, debian/rules: Use dh_autotools-dev to update
    config.{sub,guess} for arm64.
 -- William Grant <email address hidden>   Tue, 22 Oct 2013 19:52:06 +1100
Superseded in trusty-release on 2013-10-25
Obsolete in saucy-release on 2015-04-24
Obsolete in raring-release on 2015-04-24
Deleted in raring-proposed on 2015-04-27 (Reason: moved to release)
libxcrypt (1:2.4-3) unstable; urgency=low


  * QA upload (see #679703).  Skipping 1:2.4-2 to avoid archive filename
    conflicts with prior 2.4-2 upload.
  * FTBFS fix: Change __libc_lock to use pthread_mutex interfaces, as
    __libc_lock is deprecated.  Patch courtesy of Chris J Arges.
    (Closes: #697714)

 -- Nicholas Breen <email address hidden>  Fri, 11 Jan 2013 14:16:32 -0800
Superseded in raring-release on 2013-01-24
Deleted in raring-proposed on 2013-01-25 (Reason: moved to release)
libxcrypt (1:2.4-1.1ubuntu1) raring; urgency=low

  * Change __libc_lock to use pthread_mutex interfaces because
    __libc_lock interfaces were deprecated by patch 9463518d in glibc.
 -- Chris J Arges <email address hidden>   Tue, 08 Jan 2013 12:39:07 -0600
Superseded in raring-proposed on 2013-01-08
libxcrypt (1:2.4-1.1) unstable; urgency=low


  * Non-Maintainer Upload to fix RC security bug
  * Added patch (casting to unsigned) in order to prevent weak password
    hashes.See http://security-tracker.debian.org/tracker/CVE-2011-2483
    (closes: #679628)
  * debian/rules: #commented out two cp commands to preserve the config.guess
    and config.sub versions already in 1:2.4-1.

 -- Kai L√ľke <email address hidden>  Mon, 17 Sep 2012 03:52:06 +0200
Superseded in raring-release on 2013-01-08
Obsolete in quantal-release on 2015-04-24
Published in precise-release on 2011-10-13
Obsolete in oneiric-release on 2015-04-24
Obsolete in natty-release on 2013-06-04
Obsolete in maverick-release on 2013-03-05
Obsolete in lucid-release on 2016-10-26
Obsolete in karmic-release on 2013-03-04
Obsolete in jaunty-release on 2013-02-28
libxcrypt (1:2.4-1build1) jaunty; urgency=low

  * Artificial version number bump to get around the fact that 2.4-1 is
    still in earlier versions of Ubuntu and shares archive filenames.

Available diffs

Superseded in jaunty-release on 2008-11-05
Obsolete in intrepid-release on 2013-02-20
Obsolete in hardy-release on 2015-04-24
libxcrypt (2.4-2) unstable; urgency=low

  * Update watch file (closes: Bug#450033)

 -- Ubuntu Archive Auto-Sync <email address hidden>   Thu,  15 Nov 2007 10:54:01 +0000
Superseded in hardy-release on 2007-11-15
Obsolete in gutsy-release on 2011-09-16
libxcrypt (2.4-1) unstable; urgency=low

  * New upstream version.

 -- Ubuntu Archive Auto-Sync <email address hidden>   Tue,  12 Jun 2007 11:46:12 +0100
Superseded in gutsy-release on 2007-06-12
Obsolete in feisty-release on 2009-08-20
Obsolete in edgy-release on 2008-06-19
Obsolete in dapper-release on 2011-09-06
Superseded in dapper-release on 2006-02-03
libxcrypt (2.3-1) unstable; urgency=low


  * New upstream version.

 -- Ivan Kohler <ivan-debian@420.am>  Sat, 24 Sep 2005 18:14:17 -0700
Obsolete in breezy-release on 2008-03-25
Obsolete in hoary-release on 2008-03-19
libxcrypt (2.2-1) unstable; urgency=low


  * Initial Release (closes: Bug#237855).

 -- Ivan Kohler <ivan-debian@420.am>  Sat,  7 Aug 2004 22:12:08 -0700
114 of 14 results